Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.admin.ui.wizard
Class NewWindowWizard

    java.lang.Object
      org.jboss.portal.core.admin.ui.wizard.NewWindowWizard

    public class NewWindowWizard

extends java.lang.Object

Version:
  $Revision: 8785 $
Author:
  Thomas Heute

Constructor Summary
`NewWindowWizard()`

Method Summary
`java.lang.String` | `cancel()`
`java.lang.String` | `createWindow()`
`AuthorizationDomainRegistry` | `getAuthorizationDomainRegistry()`
`int` | `getCurrentStep()`
`boolean[]` | `getEnabled()`
`org.jboss.portal.portlet.federation.FederatingPortletInvoker` | `getFederatingPortletInvoker()`
`InstanceContainer` | `getInstanceContainer()`
`LayoutService` | `getLayoutService()`
`PortalObject` | `getObjectFromId(PortalObjectId id)`
`PortalObject` | `getObjectFromId(java.lang.String id)`
`java.util.List` | `getPages()`
`PortalObjectContainer` | `getPortalObjectContainer()`
`java.util.List` | `getPortals()`
`java.util.List` | `getRegions()`
`Page` | `getSelectedPage()`
`java.lang.String` | `getSelectedPageId()`
`PortalObject` | `getSelectedParentPage()`
`java.lang.String` | `getSelectedParentPageId()`
`Portal` | `getSelectedPortal()`
`java.lang.String` | `getSelectedPortalId()`
`org.jboss.portal.portlet.Portlet` | `getSelectedPortlet()`
`java.lang.String` | `getSelectedPortletId()`
`java.lang.String` | `getSelectedRegionId()`
`java.lang.String` | `goTo()`
`java.lang.String` | `next()`
`java.lang.String` | `previous()`
`java.lang.String` | `reset()`
`java.lang.String` | `selectPage()`
`java.lang.String` | `selectParentPage()`
`java.lang.String` | `selectPortal()`
`java.lang.String` | `selectPortlet()`
`java.lang.String` | `selectRegion()`
`void` | `setAuthorizationDomainRegistry(AuthorizationDomainRegistry authorizationDomainRegistry)`
`void` | `setFederatingPortletInvoker(org.jboss.portal.portlet.federation.FederatingPortletInvoker federatingPortletInvoker)`
`void` | `setInstanceContainer(InstanceContainer instanceContainer)`
`void` | `setLayoutService(LayoutService layoutService)`
`void` | `setPortalObjectContainer(PortalObjectContainer portalObjectContainer)`
`java.lang.String` | `up()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NewWindowWizard

    public NewWindowWizard()

Method Detail

### next

    public java.lang.String next()

### goTo

    public java.lang.String goTo()

### previous

    public java.lang.String previous()

### selectPortlet

    public java.lang.String selectPortlet()

### selectPortal

    public java.lang.String selectPortal()

### selectPage

    public java.lang.String selectPage()

### selectParentPage

    public java.lang.String selectParentPage()

### up

    public java.lang.String up()

### selectRegion

    public java.lang.String selectRegion()

### getSelectedPortlet

    public org.jboss.portal.portlet.Portlet getSelectedPortlet()

### getSelectedPage

    public Page getSelectedPage()

### getSelectedParentPage

    public PortalObject getSelectedParentPage()

### getSelectedPortal

    public Portal getSelectedPortal()

### getObjectFromId

    public PortalObject getObjectFromId(java.lang.String id)

### getObjectFromId

    public PortalObject getObjectFromId(PortalObjectId id)

### getPortals

    public java.util.List getPortals()

### getPages

    public java.util.List getPages()

### createWindow

    public java.lang.String createWindow()

### cancel

    public java.lang.String cancel()

### reset

    public java.lang.String reset()

### getRegions

    public java.util.List getRegions()

### getSelectedPortletId

    public java.lang.String getSelectedPortletId()

### getCurrentStep

    public int getCurrentStep()

### getSelectedPortalId

    public java.lang.String getSelectedPortalId()

### getSelectedPageId

    public java.lang.String getSelectedPageId()

### getSelectedParentPageId

    public java.lang.String getSelectedParentPageId()

### getSelectedRegionId

    public java.lang.String getSelectedRegionId()

### getFederatingPortletInvoker

    public org.jboss.portal.portlet.federation.FederatingPortletInvoker getFederatingPortletInvoker()

### setFederatingPortletInvoker

    public void setFederatingPortletInvoker(org.jboss.portal.portlet.federation.FederatingPortletInvoker federatingPortletInvoker)

### getPortalObjectContainer

    public PortalObjectContainer getPortalObjectContainer()

### setPortalObjectContainer

    public void setPortalObjectContainer(PortalObjectContainer portalObjectContainer)

### getLayoutService

    public LayoutService getLayoutService()

### setLayoutService

    public void setLayoutService(LayoutService layoutService)

### getInstanceContainer

    public InstanceContainer getInstanceContainer()

### setInstanceContainer

    public void setInstanceContainer(InstanceContainer instanceContainer)

### getAuthorizationDomainRegistry

    public AuthorizationDomainRegistry getAuthorizationDomainRegistry()

### setAuthorizationDomainRegistry

    public void setAuthorizationDomainRegistry(AuthorizationDomainRegistry authorizationDomainRegistry)

### getEnabled

    public boolean[] getEnabled()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD